
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlesly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/asiliantfb.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff -puN drivers/video/asiliantfb.c~asiliantfbc-make-some-code-static drivers/video/asiliantfb.c
--- 25/drivers/video/asiliantfb.c~asiliantfbc-make-some-code-static	2005-01-23 14:36:01.845251896 -0800
+++ 25-akpm/drivers/video/asiliantfb.c	2005-01-23 14:36:01.850251136 -0800
@@ -46,7 +46,7 @@
 #include <asm/io.h>
 
 /* Built in clock of the 69030 */
-const unsigned Fref = 14318180;
+static const unsigned Fref = 14318180;
 
 #define mmio_base (p->screen_base + 0x400000)
 
@@ -91,11 +91,6 @@ static void mm_write_ar(struct fb_info *
 }
 #define write_ar(num, val)	mm_write_ar(p, num, val)
 
-/*
- * Exported functions
- */
-int asiliantfb_init(void);
-
 static int asiliantfb_pci_init(struct pci_dev *dp, const struct pci_device_id *);
 static int asiliantfb_check_var(struct fb_var_screeninfo *var,
 				struct fb_info *info);
@@ -604,7 +599,7 @@ static struct pci_driver asiliantfb_driv
 	.remove =	__devexit_p(asiliantfb_remove),
 };
 
-int __init asiliantfb_init(void)
+static int __init asiliantfb_init(void)
 {
 	if (fb_get_options("asiliantfb", NULL))
 		return -ENODEV;
_
